Skip to main content
POST
/
accounts
/
customers
/
{customerId}
/
kyc
/
initiate
Initiate customer KYC
curl --request POST \
  --url https://api-sb.meld.io/accounts/customers/{customerId}/kyc/initiate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "HOSTED_URL",
  "serviceProvider": "SUMSUB"
}
'
import requests

url = "https://api-sb.meld.io/accounts/customers/{customerId}/kyc/initiate"

payload = {
"mode": "HOSTED_URL",
"serviceProvider": "SUMSUB"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'HOSTED_URL', serviceProvider: 'SUMSUB'})
};

fetch('https://api-sb.meld.io/accounts/customers/{customerId}/kyc/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customerId": "<string>",
  "serviceProvider": "SUMSUB",
  "url": "<string>"
}
{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"displayMessage": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {},
"timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

customerId
string
required

Customer id

Body

application/json

Request to initiate KYC for a customer with a given provider

mode
enum<string>
required

KYC initiation mode

Available options:
HOSTED_URL,
TOKEN_IMPORT
serviceProvider
enum<string>
required

KYC provider to use (currently only SUMSUB is supported)

Available options:
SUMSUB
Minimum string length: 1
Example:

"SUMSUB"

kycShareProviders
enum<string>[]

Additional KYC providers to share the result with

Available options:
ACROSS,
AEROPAY,
AKOYA,
ALCHEMYPAY,
APPLEPAY,
AUTHORIZENET,
BANXA,
BILIRA,
BINANCECONNECT,
BINANCEPAY,
BLOCKCHAINDOTCOM,
BOOMFI,
BRAINTREE,
BRALE,
BTCDIRECT,
CASHAPP,
CHECKOUT,
CIRCLE,
COINBASEPAY,
COINFLOW,
DUENETWORK,
ELDORADO,
FINICITY,
FLASHNET,
FONBNK,
GUARDARIAN,
HARBOUR,
KOYWE,
KRYPTONIM,
MERCURYO,
MESH,
MESO,
MOONPAY,
MOOV,
MX,
NMI,
NOAH,
ONMETA,
ONRAMPMONEY,
PAYBIS,
PAYPAL,
PLAID,
RAMP,
REVOLUT,
ROBINHOOD,
ROUTERPROTOCOL,
SALTEDGE,
SALTEDGEPARTNERS,
SARDINE,
SHIFT4,
SHOPIFY,
SIMPLEX,
SKRILLCRYPTO,
SQUARE,
STRIPE,
SUMSUB,
SWAPPED,
TANGOCARD,
TELLER,
TOPPER,
TRANSAK,
TREMENDOUS,
TRANSFI,
UNLIMIT,
UPHOLD,
WYRE,
XANPOOL,
YELLOWCARD,
YODLEE
serviceProviderDetails
SumsubTokenImportKycDetails · object

Provider-specific details required for the selected mode. Required when mode is TOKEN_IMPORT, null for HOSTED_URL

Response

OK

Response after initiating KYC: customer/provider/status. Token is obtained via getToken once KYC is complete.

customerId
string

Customer id (Meld)

serviceProvider
enum<string>

KYC provider

Available options:
SUMSUB
status
enum<string>

Current KYC status

Available options:
PENDING,
APPROVED,
REJECTED,
EXPIRED,
UNKNOWN
url
string

URL to start the KYC flow (e.g. Sumsub WebSDK), if applicable.